version: '3'
services:
  billiard:
    # command: ["python", "./app.py"]
    command: ["gunicorn", "app:app", "--bind", "0.0.0.0:5000",  "--timeout", "0", "--workers", "1"]
    restart: always
    build: .
    volumes:
      - "./:/app"
    ports:
      - "8500:5000"
    runtime: nvidia
    environment:
      NVIDIA_VISIBLE_DEVICES: all
      PYTHONUNBUFFERED: 1
      # OPENCV_FFMPEG_READ_ATTEMPTS: 16384
    logging:
      driver: "json-file"
      options:
        max-size: "100m"
        max-file: "3"